package edu.stanford.rt.datatype;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * 
 *  DataType is the super class of all data type classes in RTML. 
 *   Every data type must have a type name. 
 */
public abstract class DataType
{
    /** The name of the defined type */
    private String name; 

    DataType(String name) 
    {
        this.name = name;
    }

    /** Return the name of this type. */
    public String getName()
    {
        return name;
    }
    
	/**
	 * Method toString.
	 * @param indent
	 * @return String
	 */
    public String toString(String indent)
    {
        return indent + "  " + name;
    }
    
    public String toString()
    {
        return name;
    }
}
    